Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Interface XMLConstants

All Known Subinterfaces:
  IFConstants, SVGConstants

All Known Implementing Classes:
  AbstractSVGDocumentHandler, EmbeddedSVGImageHandler, IFParser, IFSerializer, SVGDataUrlImageHandler, SVGDocumentHandler, SVGPainter, SVGPrintDocumentHandler, XMLUtil

    public interface XMLConstants

A collection of constants for XML handling.

Field Summary
`static java.lang.String` | `CDATA` "CDATA" constant
`static org.apache.xmlgraphics.util.QName` | `XLINK_HREF` xlink:href attribute
`static java.lang.String` | `XLINK_NAMESPACE` XML namespace for XLink
`static java.lang.String` | `XLINK_PREFIX` Namespace prefix for XLink
`static java.lang.String` | `XML_NAMESPACE` XML namespace URI
`static java.lang.String` | `XML_PREFIX` XML namespace prefix
`static org.apache.xmlgraphics.util.QName` | `XML_SPACE` xml:space attribute
`static java.lang.String` | `XMLNS_NAMESPACE_URI` XMLNS namespace URI
`static java.lang.String` | `XMLNS_PREFIX` XMLNS namespace prefix

Field Detail

### CDATA

    static final java.lang.String CDATA

  "CDATA" constant

  See Also:
    Constant Field Values

### XML_PREFIX

    static final java.lang.String XML_PREFIX

  XML namespace prefix

  See Also:
    Constant Field Values

### XML_NAMESPACE

    static final java.lang.String XML_NAMESPACE

  XML namespace URI

  See Also:
    Constant Field Values

### XML_SPACE

    static final org.apache.xmlgraphics.util.QName XML_SPACE

  xml:space attribute

### XMLNS_PREFIX

    static final java.lang.String XMLNS_PREFIX

  XMLNS namespace prefix

  See Also:
    Constant Field Values

### XMLNS_NAMESPACE_URI

    static final java.lang.String XMLNS_NAMESPACE_URI

  XMLNS namespace URI

  See Also:
    Constant Field Values

### XLINK_PREFIX

    static final java.lang.String XLINK_PREFIX

  Namespace prefix for XLink

  See Also:
    Constant Field Values

### XLINK_NAMESPACE

    static final java.lang.String XLINK_NAMESPACE

  XML namespace for XLink

  See Also:
    Constant Field Values

### XLINK_HREF

    static final org.apache.xmlgraphics.util.QName XLINK_HREF

  xlink:href attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.